Remove picom add xcompmgr

This commit is contained in:
The-Repo-Club 2023-08-21 23:26:25 +01:00
parent 6cd752f1e0
commit 377e098158
No known key found for this signature in database
GPG Key ID: E30EC2FBFB05C44F
26 changed files with 321 additions and 1296 deletions

Binary file not shown.

View File

@ -1,509 +0,0 @@
#################################
# Animations #
#################################
# requires https://github.com/jonaburg/picom
# (These are also the default values)
transition-length = 300
transition-pow-x = 0.1
transition-pow-y = 0.1
transition-pow-w = 0.1
transition-pow-h = 0.1
size-transition = true
#################################
# Corners #
#################################
# requires: https://github.com/sdhand/compton or https://github.com/jonaburg/picom
corner-radius = 10.0;
rounded-corners-exclude = [
#"window_type = 'normal'",
"class_g = 'Dunst'",
"class_g = 'Kitty'",
"class_g = 'Alacritty'",
"class_g = 'Polybar'",
"class_g = 'Code'",
"class_g = 'Firefox'",
"class_g = 'Nemo'"
];
round-borders = 1;
round-borders-exclude = [
#"class_g = 'TelegramDesktop'",
];
#################################
# Shadows #
#################################
# Enabled client-side shadows on windows. Note desktop windows
# (windows with '_NET_WM_WINDOW_TYPE_DESKTOP') never get shadow,
# unless explicitly requested using the wintypes option.
#
# shadow = false
shadow = false;
# The blur radius for shadows, in pixels. (defaults to 12)
# shadow-radius = 12
shadow-radius = 7;
# The opacity of shadows. (0.0 - 1.0, defaults to 0.75)
# shadow-opacity = .75
# The left offset for shadows, in pixels. (defaults to -15)
# shadow-offset-x = -15
shadow-offset-x = -7;
# The top offset for shadows, in pixels. (defaults to -15)
# shadow-offset-y = -15
shadow-offset-y = -7;
# Avoid drawing shadows on dock/panel windows. This option is deprecated,
# you should use the *wintypes* option in your config file instead.
#
# no-dock-shadow = false
# Don't draw shadows on drag-and-drop windows. This option is deprecated,
# you should use the *wintypes* option in your config file instead.
#
# no-dnd-shadow = false
# Red color value of shadow (0.0 - 1.0, defaults to 0).
# shadow-red = 0
# Green color value of shadow (0.0 - 1.0, defaults to 0).
# shadow-green = 0
# Blue color value of shadow (0.0 - 1.0, defaults to 0).
# shadow-blue = 0
# Do not paint shadows on shaped windows. Note shaped windows
# here means windows setting its shape through X Shape extension.
# Those using ARGB background is beyond our control.
# Deprecated, use
# shadow-exclude = 'bounding_shaped'
# or
# shadow-exclude = 'bounding_shaped && !rounded_corners'
# instead.
#
# shadow-ignore-shaped = ''
# Specify a list of conditions of windows that should have no shadow.
#
# examples:
# shadow-exclude = "n:e:Notification";
#
# shadow-exclude = []
shadow-exclude = [
"name = 'Notification'",
"class_g = 'Conky'",
"class_g ?= 'Notify-osd'",
"class_g = 'Cairo-clock'",
"class_g = 'slop'",
"class_g = 'Polybar'",
"_GTK_FRAME_EXTENTS@:c"
];
# Specify a X geometry that describes the region in which shadow should not
# be painted in, such as a dock window region. Use
# shadow-exclude-reg = "x10+0+0"
# for example, if the 10 pixels on the bottom of the screen should not have shadows painted on.
#
# shadow-exclude-reg = ""
# Crop shadow of a window fully on a particular Xinerama screen to the screen.
# xinerama-shadow-crop = false
#################################
# Fading #
#################################
# Fade windows in/out when opening/closing and when opacity changes,
# unless no-fading-openclose is used.
# fading = false
fading = true;
# Opacity change between steps while fading in. (0.01 - 1.0, defaults to 0.028)
# fade-in-step = 0.028
fade-in-step = 0.03;
# Opacity change between steps while fading out. (0.01 - 1.0, defaults to 0.03)
# fade-out-step = 0.03
fade-out-step = 0.03;
# The time between steps in fade step, in milliseconds. (> 0, defaults to 10)
# fade-delta = 10
# Specify a list of conditions of windows that should not be faded.
# don't need this, we disable fading for all normal windows with wintypes: {}
fade-exclude = [
"class_g = 'slop'" # maim
]
# Do not fade on window open/close.
# no-fading-openclose = false
# Do not fade destroyed ARGB windows with WM frame. Workaround of bugs in Openbox, Fluxbox, etc.
# no-fading-destroyed-argb = false
#################################
# Transparency / Opacity #
#################################
# Opacity of inactive windows. (0.1 - 1.0, defaults to 1.0)
# inactive-opacity = 1
inactive-opacity = 0.8;
# Opacity of window titlebars and borders. (0.1 - 1.0, disabled by default)
# frame-opacity = 1.0
frame-opacity = 0.7;
# Default opacity for dropdown menus and popup menus. (0.0 - 1.0, defaults to 1.0)
# menu-opacity = 1.0
# menu-opacity is depreciated use dropdown-menu and popup-menu instead.
#If using these 2 below change their values in line 510 & 511 aswell
popup_menu = { opacity = 0.8; }
dropdown_menu = { opacity = 0.8; }
# Let inactive opacity set by -i override the '_NET_WM_OPACITY' values of windows.
# inactive-opacity-override = true
inactive-opacity-override = false;
# Default opacity for active windows. (0.0 - 1.0, defaults to 1.0)
active-opacity = 1.0;
# Dim inactive windows. (0.0 - 1.0, defaults to 0.0)
# inactive-dim = 0.0
# Specify a list of conditions of windows that should always be considered focused.
# focus-exclude = []
focus-exclude = [
"class_g = 'Cairo-clock'",
"class_g = 'Bar'", # lemonbar
"class_g = 'slop'" # maim
];
# Use fixed inactive dim value, instead of adjusting according to window opacity.
# inactive-dim-fixed = 1.0
# Specify a list of opacity rules, in the format `PERCENT:PATTERN`,
# like `50:name *= "Firefox"`. picom-trans is recommended over this.
# Note we don't make any guarantee about possible conflicts with other
# programs that set '_NET_WM_WINDOW_OPACITY' on frame or client windows.
# example:
# opacity-rule = [ "80:class_g = 'URxvt'" ];
#
# opacity-rule = []
opacity-rule = [
"80:class_g = 'Bar'", # lemonbar
"100:class_g = 'slop'", # maim
"100:class_g = 'XTerm'",
"100:class_g = 'URxvt'",
"100:class_g = 'kitty'",
"100:class_g = 'Alacritty'",
"80:class_g = 'Polybar'",
"100:class_g = 'code-oss'",
"100:class_g = 'Meld'",
"70:class_g = 'TelegramDesktop'",
"90:class_g = 'Joplin'",
"100:class_g = 'firefox'",
"100:class_g = 'Thunderbird'"
];
#################################
# Background-Blurring #
#################################
# Parameters for background blurring, see the *BLUR* section for more information.
# blur-method =
# blur-size = 12
#
# blur-deviation = false
# Blur background of semi-transparent / ARGB windows.
# Bad in performance, with driver-dependent behavior.
# The name of the switch may change without prior notifications.
#
# blur-background = true;
# Blur background of windows when the window frame is not opaque.
# Implies:
# blur-background
# Bad in performance, with driver-dependent behavior. The name may change.
#
# blur-background-frame = false;
# Use fixed blur strength rather than adjusting according to window opacity.
# blur-background-fixed = false;
# Specify the blur convolution kernel, with the following format:
# example:
# blur-kern = "5,5,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1";
#
# blur-kern = ''
# blur-kern = "3x3box";
blur: {
# requires: https://github.com/ibhagwan/picom
method = "kawase";
#method = "kernel";
strength = 3;
# deviation = 1.0;
# kernel = "11x11gaussian";
background = false;
background-frame = false;
background-fixed = false;
kern = "3x3box";
}
# Exclude conditions for background blur.
blur-background-exclude = [
#"window_type = 'dock'",
#"window_type = 'desktop'",
#"class_g = 'URxvt'",
#
# prevents picom from blurring the background
# when taking selection screenshot with `main`
# https://github.com/naelstrof/maim/issues/130
"class_g = 'slop'",
"_GTK_FRAME_EXTENTS@:c"
];
#################################
# General Settings #
#################################
# Daemonize process. Fork to background after initialization. Causes issues with certain (badly-written) drivers.
# daemon = false
# Specify the backend to use: `xrender`, `glx`, or `xr_glx_hybrid`.
# `xrender` is the default one.
#
experimental-backends = true;
backend = "glx";
#backend = "xrender";
# Enable/disable VSync.
# vsync = false
vsync = true
# Enable remote control via D-Bus. See the *D-BUS API* section below for more details.
# dbus = false
# Try to detect WM windows (a non-override-redirect window with no
# child that has 'WM_STATE') and mark them as active.
#
# mark-wmwin-focused = false
mark-wmwin-focused = true;
# Mark override-redirect windows that doesn't have a child window with 'WM_STATE' focused.
# mark-ovredir-focused = false
mark-ovredir-focused = true;
# Try to detect windows with rounded corners and don't consider them
# shaped windows. The accuracy is not very high, unfortunately.
#
# detect-rounded-corners = false
detect-rounded-corners = true;
# Detect '_NET_WM_OPACITY' on client windows, useful for window managers
# not passing '_NET_WM_OPACITY' of client windows to frame windows.
#
# detect-client-opacity = false
detect-client-opacity = true;
# Specify refresh rate of the screen. If not specified or 0, picom will
# try detecting this with X RandR extension.
#
# refresh-rate = 60
refresh-rate = 0
# Limit picom to repaint at most once every 1 / 'refresh_rate' second to
# boost performance. This should not be used with
# vsync drm/opengl/opengl-oml
# as they essentially does sw-opti's job already,
# unless you wish to specify a lower refresh rate than the actual value.
#
# sw-opti =
# Use EWMH '_NET_ACTIVE_WINDOW' to determine currently focused window,
# rather than listening to 'FocusIn'/'FocusOut' event. Might have more accuracy,
# provided that the WM supports it.
#
# use-ewmh-active-win = false
# Unredirect all windows if a full-screen opaque window is detected,
# to maximize performance for full-screen windows. Known to cause flickering
# when redirecting/unredirecting windows. paint-on-overlay may make the flickering less obvious.
#
# unredir-if-possible = false
# Delay before unredirecting the window, in milliseconds. Defaults to 0.
# unredir-if-possible-delay = 0
# Conditions of windows that shouldn't be considered full-screen for unredirecting screen.
# unredir-if-possible-exclude = []
# Use 'WM_TRANSIENT_FOR' to group windows, and consider windows
# in the same group focused at the same time.
#
# detect-transient = false
detect-transient = true
# Use 'WM_CLIENT_LEADER' to group windows, and consider windows in the same
# group focused at the same time. 'WM_TRANSIENT_FOR' has higher priority if
# detect-transient is enabled, too.
#
# detect-client-leader = false
detect-client-leader = true
# Resize damaged region by a specific number of pixels.
# A positive value enlarges it while a negative one shrinks it.
# If the value is positive, those additional pixels will not be actually painted
# to screen, only used in blur calculation, and such. (Due to technical limitations,
# with use-damage, those pixels will still be incorrectly painted to screen.)
# Primarily used to fix the line corruption issues of blur,
# in which case you should use the blur radius value here
# (e.g. with a 3x3 kernel, you should use `--resize-damage 1`,
# with a 5x5 one you use `--resize-damage 2`, and so on).
# May or may not work with *--glx-no-stencil*. Shrinking doesn't function correctly.
#
# resize-damage = 1
# Specify a list of conditions of windows that should be painted with inverted color.
# Resource-hogging, and is not well tested.
#
# invert-color-include = []
# GLX backend: Avoid using stencil buffer, useful if you don't have a stencil buffer.
# Might cause incorrect opacity when rendering transparent content (but never
# practically happened) and may not work with blur-background.
# My tests show a 15% performance boost. Recommended.
#
# glx-no-stencil = false
# GLX backend: Avoid rebinding pixmap on window damage.
# Probably could improve performance on rapid window content changes,
# but is known to break things on some drivers (LLVMpipe, xf86-video-intel, etc.).
# Recommended if it works.
#
# glx-no-rebind-pixmap = false
# Disable the use of damage information.
# This cause the whole screen to be redrawn everytime, instead of the part of the screen
# has actually changed. Potentially degrades the performance, but might fix some artifacts.
# The opposing option is use-damage
#
# no-use-damage = false
#use-damage = true (Causing Weird Black semi opaque rectangles when terminal is opened)
#Changing use-damage to false fixes the problem
use-damage = false
# Use X Sync fence to sync clients' draw calls, to make sure all draw
# calls are finished before picom starts drawing. Needed on nvidia-drivers
# with GLX backend for some users.
#
# xrender-sync-fence = false
# GLX backend: Use specified GLSL fragment shader for rendering window contents.
# See `compton-default-fshader-win.glsl` and `compton-fake-transparency-fshader-win.glsl`
# in the source tree for examples.
#
# glx-fshader-win = ''
# Force all windows to be painted with blending. Useful if you
# have a glx-fshader-win that could turn opaque pixels transparent.
#
# force-win-blend = false
# Do not use EWMH to detect fullscreen windows.
# Reverts to checking if a window is fullscreen based only on its size and coordinates.
#
# no-ewmh-fullscreen = false
# Dimming bright windows so their brightness doesn't exceed this set value.
# Brightness of a window is estimated by averaging all pixels in the window,
# so this could comes with a performance hit.
# Setting this to 1.0 disables this behaviour. Requires --use-damage to be disabled. (default: 1.0)
#
# max-brightness = 1.0
# Make transparent windows clip other windows like non-transparent windows do,
# instead of blending on top of them.
#
# transparent-clipping = false
# Set the log level. Possible values are:
# "trace", "debug", "info", "warn", "error"
# in increasing level of importance. Case doesn't matter.
# If using the "TRACE" log level, it's better to log into a file
# using *--log-file*, since it can generate a huge stream of logs.
#
# log-level = "debug"
log-level = "info";
# Set the log file.
# If *--log-file* is never specified, logs will be written to stderr.
# Otherwise, logs will to written to the given file, though some of the early
# logs might still be written to the stderr.
# When setting this option from the config file, it is recommended to use an absolute path.
#
# log-file = '/path/to/your/log/file'
# Show all X errors (for debugging)
# show-all-xerrors = false
# Write process ID to a file.
# write-pid-path = '/path/to/your/log/file'
# Window type settings
#
# 'WINDOW_TYPE' is one of the 15 window types defined in EWMH standard:
# "unknown", "desktop", "dock", "toolbar", "menu", "utility",
# "splash", "dialog", "normal", "dropdown_menu", "popup_menu",
# "tooltip", "notification", "combo", and "dnd".
#
# Following per window-type options are available: ::
#
# fade, shadow:::
# Controls window-type-specific shadow and fade settings.
#
# opacity:::
# Controls default opacity of the window type.
#
# focus:::
# Controls whether the window of this type is to be always considered focused.
# (By default, all window types except "normal" and "dialog" has this on.)
#
# full-shadow:::
# Controls whether shadow is drawn under the parts of the window that you
# normally won't be able to see. Useful when the window has parts of it
# transparent, and you want shadows in those areas.
#
# redir-ignore:::
# Controls whether this type of windows should cause screen to become
# redirected again after been unredirected. If you have unredir-if-possible
# set, and doesn't want certain window to cause unnecessary screen redirection,
# you can set this to `true`.
#
wintypes:
{
normal = { fade = false; shadow = false; }
tooltip = { fade = true; shadow = true; opacity = 0.75; focus = true; full-shadow = false; };
dock = { shadow = false; }
dnd = { shadow = false; }
popup_menu = { opacity = 0.8; }
dropdown_menu = { opacity = 0.8; }
};

View File

@ -12,7 +12,7 @@
#Created:
# Mon 24 April 2023, 01:52:19 PM [GMT+1]
#Modified:
# Mon 24 April 2023, 02:16:28 PM [GMT+1]
# Mon 21 August 2023, 11:18:34 PM [GMT+1]
#
#Description:
# Autostart for DK Window Manager
@ -26,11 +26,11 @@
##################
if command -v /usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1 &>/dev/null; then
if ! pgrep -f "/usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1" >/dev/null; then
/usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1 &
else
echo "polkit-gnome already Running"
fi
if ! pgrep -f "/usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1" >/dev/null; then
/usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1 &
else
echo "polkit-gnome already Running"
fi
fi
###############
@ -38,43 +38,43 @@ fi
###############
if command -v xautolock &>/dev/null; then
# shellcheck disable=SC2155
if ! pgrep -x "xautolock" >/dev/null; then
(
sleep 2s
xautolock \
-time 15 -locker "multimonitorlock -l -- --time-str=%I:%M:%S %p" \
-detectsleep
) &
else
echo "xautolock already Running"
fi
# shellcheck disable=SC2155
if ! pgrep -x "xautolock" >/dev/null; then
(
sleep 2s
xautolock \
-time 15 -locker "multimonitorlock -l -- --time-str=%I:%M:%S %p" \
-detectsleep
) &
else
echo "xautolock already Running"
fi
fi
if command -v xss-lock &>/dev/null; then
# shellcheck disable=SC2155
if ! pgrep -x "xss-lock" >/dev/null; then
(
sleep 2s
xss-lock -- multimonitorlock -l -- --time-str="%I:%M:%S %p"
) &
else
echo "xautolock already Running"
fi
# shellcheck disable=SC2155
if ! pgrep -x "xss-lock" >/dev/null; then
(
sleep 2s
xss-lock -- multimonitorlock -l -- --time-str="%I:%M:%S %p"
) &
else
echo "xautolock already Running"
fi
fi
################
## Picom Comp ##
################
##############
## xcompmgr ##
##############
if ! command -v picom &>/dev/null; then
echo "picom could not be found"
if command -v xcompmgr &>/dev/null; then
if ! pgrep -x "xcompmgr" >/dev/null; then
xcompmgr &
else
echo "xcompmgr already Running"
fi
else
if ! pgrep -x "picom" >/dev/null; then
picom -CGb --config "$HOME"/.config/picom/picom.conf &
else
echo "picom already Running"
fi
echo "xcompmgr could not be found"
fi
#############
@ -82,17 +82,17 @@ fi
#############
if ! command -v polybar &>/dev/null; then
echo "polybar could not be found"
echo "polybar could not be found"
else
if ! pgrep -x "polybar" >/dev/null; then
if ! test -f "$HOME/.config/polybar/launch.sh"; then
echo "$HOME/.config/polybar/launch.sh could not be found"
else
sh "$HOME/.config/polybar/launch.sh"
fi
if ! pgrep -x "polybar" >/dev/null; then
if ! test -f "$HOME/.config/polybar/launch.sh"; then
echo "$HOME/.config/polybar/launch.sh could not be found"
else
echo "polybar already Running"
sh "$HOME/.config/polybar/launch.sh"
fi
else
echo "polybar already Running"
fi
fi
##############
@ -100,36 +100,35 @@ fi
##############
if command -v clipmenu-daemon &>/dev/null; then
if ! pgrep -f "clipmenu-daemon" >/dev/null; then
(
sleep 2s
clipmenu-daemon
) &
else
echo "clipmenu-daemon already Running"
fi
if ! pgrep -f "clipmenu-daemon" >/dev/null; then
(
sleep 2s
clipmenu-daemon
) &
else
echo "clipmenu-daemon already Running"
fi
fi
################
## xRoot Menu ##
################
if command -v xroot &>/dev/null; then
if ! pgrep -f "xroot" >/dev/null; then
if command -v xmenu_desktop &>/dev/null; then
if ! pgrep -f "xmenu_desktop" >/dev/null; then
(
sleep 2s
xroot -r xmenu_desktop
) &
else
echo "xroot already Running"
fi
fi
else
if ! pgrep -f "xroot" >/dev/null; then
if command -v xmenu_desktop &>/dev/null; then
if ! pgrep -f "xmenu_desktop" >/dev/null; then
(
sleep 2s
xroot -r xmenu_desktop
) &
else
echo "xroot already Running"
fi
fi
else
echo "xroot already Running"
fi
fi
####################
@ -137,17 +136,17 @@ fi
####################
if ! command -v feh &>/dev/null; then
echo "feh could not be found"
echo "feh could not be found"
else
if ! test -f "$HOME/.fehbg"; then
echo "$HOME/.fehbg could not be found"
else
sh "$HOME/.fehbg"
(
sleep 2s
sh "$HOME/.fehbg"
) &
fi
if ! test -f "$HOME/.fehbg"; then
echo "$HOME/.fehbg could not be found"
else
sh "$HOME/.fehbg"
(
sleep 2s
sh "$HOME/.fehbg"
) &
fi
fi
################
@ -155,86 +154,86 @@ fi
################
if ! command -v ckb-next &>/dev/null; then
echo "ckb-next could not be found"
echo "ckb-next could not be found"
else
if ! pgrep -x "ckb-next" >/dev/null; then
(
sleep 2s
ckb-next --background
) &
else
echo "ckb-next already Running"
fi
if ! pgrep -x "ckb-next" >/dev/null; then
(
sleep 2s
ckb-next --background
) &
else
echo "ckb-next already Running"
fi
fi
if command -v nm-applet &>/dev/null; then
if ! pgrep -x "nm-applet" >/dev/null; then
(
sleep 2s
nm-applet
) &
else
echo "nm-applet already Running"
fi
if ! pgrep -x "nm-applet" >/dev/null; then
(
sleep 2s
nm-applet
) &
else
echo "nm-applet already Running"
fi
fi
if command -v blueman-applet &>/dev/null; then
if ! pgrep -x "blueman-applet" >/dev/null; then
(
sleep 2s
blueman-applet
) &
else
echo "blueman-applet already Running"
fi
if ! pgrep -x "blueman-applet" >/dev/null; then
(
sleep 2s
blueman-applet
) &
else
echo "blueman-applet already Running"
fi
fi
if command -v touchpad-indicator &>/dev/null; then
if ! pgrep -f "touchpad-indicator" >/dev/null; then
(
sleep 2s
touchpad-indicator
) &
else
echo "touchpad-indicator already Running"
fi
if ! pgrep -f "touchpad-indicator" >/dev/null; then
(
sleep 2s
touchpad-indicator
) &
else
echo "touchpad-indicator already Running"
fi
fi
if command -v cbatticon &>/dev/null; then
if ! pgrep -x "cbatticon" >/dev/null; then
(
sleep 2s
cbatticon
) &
else
echo "cbatticon already Running"
fi
if ! pgrep -x "cbatticon" >/dev/null; then
(
sleep 2s
cbatticon
) &
else
echo "cbatticon already Running"
fi
fi
if command -v volumeicon &>/dev/null; then
if ! pgrep -x "volumeicon" >/dev/null; then
(
sleep 5s
volumeicon
) &
else
echo "volumeicon already Running"
fi
if ! pgrep -x "volumeicon" >/dev/null; then
(
sleep 5s
volumeicon
) &
else
echo "volumeicon already Running"
fi
fi
if command -v gufwicon &>/dev/null; then
if ! pgrep -x "gufwicon" >/dev/null; then
(
sleep 5s
gufwicon
) &
else
echo "gufwicon already Running"
fi
if ! pgrep -x "gufwicon" >/dev/null; then
(
sleep 5s
gufwicon
) &
else
echo "gufwicon already Running"
fi
fi
if command -v numlockx &>/dev/null; then
numlockx on &
numlockx on &
fi
################
@ -244,7 +243,7 @@ fi
systemctl --user import-environment DISPLAY XAUTHORITY
if command -v dbus-update-activation-environment >/dev/null 2>&1; then
dbus-update-activation-environment DISPLAY XAUTHORITY
dbus-update-activation-environment DISPLAY XAUTHORITY
fi
# see https://wiki.archlinux.org/title/GNOME/Keyring#xinitrc

View File

@ -12,7 +12,7 @@
#Created:
# Mon 22 November 2021, 03:15:54 PM [GMT]
#Modified:
# Mon 21 August 2023, 10:09:03 PM [GMT+1]
# Mon 21 August 2023, 11:16:21 PM [GMT+1]
#
#Description:
# <Todo>
@ -37,14 +37,14 @@ if command -v /usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1 &>/dev/n
fi
fi
if command -v picom &>/dev/null; then
if ! pgrep -x "picom" >/dev/null; then
picom --config "$HOME"/.config/picom/picom.conf &
if command -v xcompmgr &>/dev/null; then
if ! pgrep -x "xcompmgr" >/dev/null; then
xcompmgr &
else
echo "picom already Running"
echo "xcompmgr already Running"
fi
else
echo "picom could not be found"
echo "xcompmgr could not be found"
fi
####################

View File

@ -1,2 +1,2 @@
LastUsed=1692652275
LastUsed=1692657680
Message='Fully Updated'

View File

@ -1 +0,0 @@
/home/repo/.config/picom/picom.conf

View File

@ -12,7 +12,7 @@
#Created:
# Sat 15 October 2022, 09:01:26 PM [GMT+1]
#Modified:
# Sun 16 October 2022, 01:52:54 AM [GMT+1]
# Mon 21 August 2023, 11:19:00 PM [GMT+1]
#
#Description:
# Config for herbstluftwm
@ -23,55 +23,55 @@
# shellcheck disable=all
if command -v autorandr &>/dev/null; then
autorandr --load 'herbstluft' &
autorandr --load 'herbstluft' &
fi
if [ -f $HOME/.config/herbstluftwm/extra/config ]; then
. $HOME/.config/herbstluftwm/extra/config
. $HOME/.config/herbstluftwm/extra/config
fi
if [ -f $HOME/.config/herbstluftwm/extra/panel ]; then
sh $HOME/.config/herbstluftwm/extra/panel &
sh $HOME/.config/herbstluftwm/extra/panel &
fi
if command -v /usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1 &>/dev/null; then
if ! pgrep -f "/usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1" >/dev/null; then
/usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1 &
else
echo "polkit-gnome already Running"
fi
if ! pgrep -f "/usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1" >/dev/null; then
/usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1 &
else
echo "polkit-gnome already Running"
fi
fi
if command -v xroot &>/dev/null; then
if ! pgrep -f "xroot" >/dev/null; then
if command -v xmenu_desktop &>/dev/null; then
if ! pgrep -f "xmenu_desktop" >/dev/null; then
xroot -r xmenu_desktop &
else
echo "xroot already Running"
fi
fi
else
if ! pgrep -f "xroot" >/dev/null; then
if command -v xmenu_desktop &>/dev/null; then
if ! pgrep -f "xmenu_desktop" >/dev/null; then
xroot -r xmenu_desktop &
else
echo "xroot already Running"
fi
fi
else
echo "xroot already Running"
fi
fi
if command -v clipmenu-daemon &>/dev/null; then
if ! pgrep -f "clipmenu-daemon" >/dev/null; then
clipmenu-daemon &
else
echo "clipmenu-daemon already Running"
fi
if ! pgrep -f "clipmenu-daemon" >/dev/null; then
clipmenu-daemon &
else
echo "clipmenu-daemon already Running"
fi
fi
if ! command -v picom &>/dev/null; then
echo "picom could not be found"
if ! command -v xcompmgr &>/dev/null; then
echo "xcompmgr could not be found"
else
if ! pgrep -x "picom" >/dev/null; then
picom -CGb --experimental-backend --config "$HOME"/.config/i3/picom.conf &
else
echo "picom already Running"
fi
if ! pgrep -x "xcompmgr" >/dev/null; then
xcompmgr &
else
echo "xcompmgr already Running"
fi
fi
################
@ -79,72 +79,72 @@ fi
################
if ! command -v ckb-next &>/dev/null; then
echo "ckb-next could not be found"
echo "ckb-next could not be found"
else
if ! pgrep -x "ckb-next" >/dev/null; then
ckb-next --background &
else
echo "ckb-next already Running"
fi
if ! pgrep -x "ckb-next" >/dev/null; then
ckb-next --background &
else
echo "ckb-next already Running"
fi
fi
if command -v nm-applet &>/dev/null; then
if ! pgrep -x "nm-applet" >/dev/null; then
nm-applet &
else
echo "nm-applet already Running"
fi
if ! pgrep -x "nm-applet" >/dev/null; then
nm-applet &
else
echo "nm-applet already Running"
fi
fi
if command -v blueman-applet &>/dev/null; then
if ! pgrep -x "blueman-applet" >/dev/null; then
blueman-applet &
else
echo "blueman-applet already Running"
fi
if ! pgrep -x "blueman-applet" >/dev/null; then
blueman-applet &
else
echo "blueman-applet already Running"
fi
fi
if command -v touchpad-indicator &>/dev/null; then
if ! pgrep -f "touchpad-indicator" >/dev/null; then
touchpad-indicator &
else
echo "touchpad-indicator already Running"
fi
if ! pgrep -f "touchpad-indicator" >/dev/null; then
touchpad-indicator &
else
echo "touchpad-indicator already Running"
fi
fi
if command -v numlockx &>/dev/null; then
numlockx on &
numlockx on &
fi
if command -v volumeicon &>/dev/null; then
if ! pgrep -x "volumeicon" >/dev/null; then
volumeicon &
else
echo "volumeicon already Running"
fi
if ! pgrep -x "volumeicon" >/dev/null; then
volumeicon &
else
echo "volumeicon already Running"
fi
fi
if command -v cbatticon &>/dev/null; then
if ! pgrep -x "cbatticon" >/dev/null; then
cbatticon &
else
echo "cbatticon already Running"
fi
if ! pgrep -x "cbatticon" >/dev/null; then
cbatticon &
else
echo "cbatticon already Running"
fi
fi
####################
## Fix Background ##
####################
if ! command -v feh &>/dev/null; then
echo "feh could not be found"
echo "feh could not be found"
else
if ! test -f "$HOME/.fehbg"; then
echo "$HOME/.fehbg could not be found"
else
sh "$HOME/.fehbg" &
sleep 2s
sh "$HOME/.fehbg" &
fi
if ! test -f "$HOME/.fehbg"; then
echo "$HOME/.fehbg could not be found"
else
sh "$HOME/.fehbg" &
sleep 2s
sh "$HOME/.fehbg" &
fi
fi
###############
@ -152,24 +152,24 @@ fi
###############
if command -v xidlehook &>/dev/null; then
# shellcheck disable=SC2155
export PRIMARY_DISPLAY="$(xrandr | awk '/ primary/{print $1}')"
if ! pgrep -x "xidlehook" >/dev/null; then
xidlehook \
--not-when-fullscreen \
--not-when-audio \
--timer 300 \
"xrandr --output $PRIMARY_DISPLAY --brightness .1" \
"xrandr --output $PRIMARY_DISPLAY --brightness 1" \
--timer 30 \
"xrandr --output $PRIMARY_DISPLAY --brightness 1; multimonitorlock -l -- --time-str=%I:%M:%S %p" \
"" \
--timer 3600 \
"systemctl suspend" \
"" &
else
echo "xidlehook already Running"
fi
# shellcheck disable=SC2155
export PRIMARY_DISPLAY="$(xrandr | awk '/ primary/{print $1}')"
if ! pgrep -x "xidlehook" >/dev/null; then
xidlehook \
--not-when-fullscreen \
--not-when-audio \
--timer 300 \
"xrandr --output $PRIMARY_DISPLAY --brightness .1" \
"xrandr --output $PRIMARY_DISPLAY --brightness 1" \
--timer 30 \
"xrandr --output $PRIMARY_DISPLAY --brightness 1; multimonitorlock -l -- --time-str=%I:%M:%S %p" \
"" \
--timer 3600 \
"systemctl suspend" \
"" &
else
echo "xidlehook already Running"
fi
fi
################
@ -179,7 +179,7 @@ fi
systemctl --user import-environment DISPLAY XAUTHORITY
if command -v dbus-update-activation-environment >/dev/null 2>&1; then
dbus-update-activation-environment DISPLAY XAUTHORITY
dbus-update-activation-environment DISPLAY XAUTHORITY
fi
# see https://wiki.archlinux.org/title/GNOME/Keyring#xinitrc

View File

@ -837,17 +837,17 @@ $exe autorandr --force --load i3
# }}} Settings
#####################################################################################################################
################# picom of i3wm #################
################# xcompmgr of i3wm #################
#####################################################################################################################
#if you want transparency on non-focused windows, ...
$exe_always picom --config ~/.config/i3/picom.conf
$exe_always xcompmgr
## Category: Main Keybinds;
# Description: Toggle Picom;
# Description: Toggle xCompmgr;
$control_b+$alt+o \
$exe ~/.config/polybar/scripts/picom-toggle.sh
$exe ~/.config/polybar/scripts/xcompmgr-toggle.sh
## Category: Main Keybinds;
# Description: Reload Polybar;

View File

@ -1 +0,0 @@
/home/repo/.config/picom/picom.conf

View File

@ -3,7 +3,7 @@
# Auto updated?
# Yes
#File :
# picom-toggle
# xcompmgr-toggle
#Author:
# The-Repo-Club [wayne6324@gmail.com]
#Github:
@ -12,7 +12,7 @@
# Created:
# Thu 20 January 2022, 04:40:04 PM [GMT]
# Modified:
# Sun 06 August 2023, 10:30:21 AM [GMT+1]
# Mon 21 August 2023, 11:20:02 PM [GMT+1]
#
# Description:
# <Todo>
@ -23,9 +23,8 @@
#The command for starting compton
#always keep the -b argument!
if pgrep -x "picom" > /dev/null
then
killall picom
if pgrep -x "xcompmgr" >/dev/null; then
pkill xcompmgr
else
picom --config ~/.config/i3/picom.conf
xcompmgr
fi

View File

@ -3,7 +3,7 @@
# Auto updated?
# Yes
#File :
# picom
# xcompmgr
#Author:
# The-Repo-Club [wayne6324@gmail.com]
#Github:
@ -12,7 +12,7 @@
# Created:
# Thu 20 January 2022, 04:40:13 PM [GMT]
# Modified:
# Fri 21 January 2022, 02:29:56 PM [GMT]
# Mon 21 August 2023, 11:20:19 PM [GMT+1]
#
# Description:
# <Todo>
@ -21,9 +21,8 @@
# https://github.com/jaagr/polybar/wiki/User-contributed-modules
#The icon that would change color
if pgrep -x "picom" > /dev/null
then
echo "Loaded"
if pgrep -x "xcompmgr" >/dev/null; then
echo "Loaded"
else
echo "UnLoaded"
echo "UnLoaded"
fi

View File

@ -12,7 +12,7 @@
#Created:
# Mon 22 November 2021, 03:15:54 PM [GMT+1]
#Modified:
# Thu 17 August 2023, 08:10:42 PM [GMT+1]
# Mon 21 August 2023, 11:20:48 PM [GMT+1]
#
#Description:
# <Todo>
@ -96,14 +96,14 @@ else
echo "clipmenu-daemon can not be found"
fi
if command -v picom &>/dev/null; then
if ! pgrep -x "picom" >/dev/null; then
picom --config "$HOME"/.config/picom/picom.conf &
if command -v xcompmgr &>/dev/null; then
if ! pgrep -x "xcompmgr" >/dev/null; then
xcompmgr &
else
echo "picom already Running"
echo "xcompmgr already Running"
fi
else
echo "picom could not be found"
echo "xcompmgr could not be found"
fi
################

View File

@ -45,7 +45,6 @@ pcurses
perl-checkupdates-aur
perl-www-aur
php-pear
picom-allusive
pikaur
pkgbrowser
proctl

View File

@ -1,452 +0,0 @@
#################################
# Animations #
#################################
# zoom, slide-up, slide-down
animations: true;
animation-stiffness = 150
animation-window-mass = 1
animation-dampening = 25
animation-clamping = false
animation-for-open-window = "slide-up"; #open window
animation-for-unmap-window = "slide-down"; #minimize window
animation-for-workspace-switch-in = "slide-up"; #the windows in the workspace that is coming in
animation-for-workspace-switch-out = "slide-down"; #the windows in the workspace that are coming out
animation-for-transient-window = "zoom"; #popup windows
#################################
# Shadows #
#################################
# Enabled client-side shadows on windows. Note desktop windows
# (windows with '_NET_WM_WINDOW_TYPE_DESKTOP') never get shadow,
# unless explicitly requested using the wintypes option.
#
# shadow = false;
shadow = true;
blur: {
method = "kernel";
strength = 5;
background = true;
background-frame = true;
background-fixed = true;
}
# The blur radius for shadows, in pixels. (defaults to 12)
# shadow-radius = 12
shadow-radius = 12;
# The opacity of shadows. (0.0 - 1.0, defaults to 0.75)
shadow-opacity = .50
# The left offset for shadows, in pixels. (defaults to -15)
# shadow-offset-x = -7
shadow-offset-x = -7;
# The top offset for shadows, in pixels. (defaults to -15)
# shadow-offset-y = -15
shadow-offset-y = -9;
# Avoid drawing shadows on dock/panel windows. This option is deprecated,
# you should use the *wintypes* option in your config file instead.
#
dock-shadow = true;
# Don't draw shadows on drag-and-drop windows. This option is deprecated,
# you should use the *wintypes* option in your config file instead.
#
# no-dnd-shadow = false
# Red color value of shadow (0.0 - 1.0, defaults to 0).
# shadow-red = 0
# Green color value of shadow (0.0 - 1.0, defaults to 0).
# shadow-green = 0
# Blue color value of shadow (0.0 - 1.0, defaults to 0).
# shadow-blue = 0
# Do not paint shadows on shaped windows. Note shaped windows
# here means windows setting its shape through X Shape extension.
# Those using ARGB background is beyond our control.
# Deprecated, use
# shadow-exclude = 'bounding_shaped'
# or
# shadow-exclude = 'bounding_shaped && !rounded_corners'
# instead.
#
# shadow-ignore-shaped = ''
# Add this one too for ...
# "_NET_WM_STATE@:32a *= '_NET_WM_STATE_HIDDEN'"
# Add this one above to the list to have no shadow in Openbox menu
# "! name~=''",
# Specify a X geometry that describes the region in which shadow should not
# be painted in, such as a dock window region. Use
# shadow-exclude-reg = "x10+0+0"
# for example, if the 10 pixels on the bottom of the screen should not have shadows painted on.
#
# shadow-exclude-reg = ""
# Crop shadow of a window fully on a particular Xinerama screen to the screen.
# xinerama-shadow-crop = false
shadow-exclude = [
"window_type = 'menu'",
];
#################################
# Fading #
#################################
# Fade windows in/out when opening/closing and when opacity changes,
# unless no-fading-openclose is used.
# fading = false
fading = true;
# Opacity change between steps while fading in. (0.01 - 1.0, defaults to 0.028)
# fade-in-step = 0.028
fade-in-step = 0.03;
# Opacity change between steps while fading out. (0.01 - 1.0, defaults to 0.03)
# fade-out-step = 0.03
fade-out-step = 0.03;
# The time between steps in fade step, in milliseconds. (> 0, defaults to 10)
fade-delta = 4
# Specify a list of conditions of windows that should not be faded.
# fade-exclude = []
# Do not fade on window open/close.
# no-fading-openclose = false
# Do not fade destroyed ARGB windows with WM frame. Workaround of bugs in Openbox, Fluxbox, etc.
# no-fading-destroyed-argb = false
#################################
# Transparency / Opacity #
#################################
# Opacity of inactive windows. (0.1 - 1.0, defaults to 1.0)
# inactive-opacity = 1
inactive-opacity = 1.0;
# Opacity of window titlebars and borders. (0.1 - 1.0, disabled by default)
# frame-opacity = 1.0
frame-opacity = 1.0;
# Let inactive opacity set by -i override the '_NET_WM_WINDOW_OPACITY' values of windows.
# inactive-opacity-override = true
inactive-opacity-override = false;
# Default opacity for active windows. (0.0 - 1.0, defaults to 1.0)
# active-opacity = 1.0
# Dim inactive windows. (0.0 - 1.0, defaults to 0.0)
# inactive-dim = 0.0
# Specify a list of conditions of windows that should never be considered focused.
# focus-exclude = []
focus-exclude = [ "class_g = 'Cairo-clock'" ];
# Use fixed inactive dim value, instead of adjusting according to window opacity.
# inactive-dim-fixed = 1.0
# Specify a list of opacity rules, in the format `PERCENT:PATTERN`,
# like `50:name *= "Firefox"`. picom-trans is recommended over this.
# Note we don't make any guarantee about possible conflicts with other
# programs that set '_NET_WM_WINDOW_OPACITY' on frame or client windows.
# example:
# opacity-rule = [ "80:class_g = 'URxvt'" ];
#
opacity-rule = [
"80:class_g = 'Alacritty'"
]
#################################
# Corners #
#################################
# Sets the radius of rounded window corners. When > 0, the compositor will
# round the corners of windows. Does not interact well with
# `transparent-clipping`.
corner-radius = 15
# Exclude conditions for rounded corners.
rounded-corners-exclude = [
"window_type = 'dock'",
"window_type = 'desktop'",
# Programs
"class_g = 'Polybar'",
# Window Manager Stuff
"class_g = 'flexiflow'",
"class_g = 'flexiflowsystray'",
"QTILE_INTERNAL:32c = 1"
];
#################################
# Background-Blurring #
#################################
# Parameters for background blurring, see the *BLUR* section for more information.
# Blur background of semi-transparent / ARGB windows.
# Bad in performance, with driver-dependent behavior.
# The name of the switch may change without prior notifications.
#
# blur-background = false
# Blur background of windows when the window frame is not opaque.
# Implies:
# blur-background
# Bad in performance, with driver-dependent behavior. The name may change.
#
# blur-background-frame = true
# Use fixed blur strength rather than adjusting according to window opacity.
# blur-background-fixed = true
# Specify the blur convolution kernel, with the following format:
# example:
# blur-kern = "5,5,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1";
#
# blur-kern = ""
# blur-kern = "3x3box";
# Exclude conditions for background blur.
# blur-background-exclude = []
blur-background-exclude = [
"window_type = 'dock'",
# "window_type = 'desktop'",
"window_type = 'menu'",
"_GTK_FRAME_EXTENTS@:c",
"class_g = 'conky'"
];
#################################
# General Settings #
#################################
# Enable remote control via D-Bus. See the man page for more details.
# dbus = true
# Daemonize process. Fork to background after initialization. Causes issues with certain (badly-written) drivers.
# daemon = false
# Specify the backend to use: `xrender`, `glx`, or `xr_glx_hybrid`.
# `xrender` is the default one.
#
# backend = "glx"
backend = "glx";
# Enable/disable VSync.
# vsync = false
vsync = false;
# Enable remote control via D-Bus. See the *D-BUS API* section below for more details.
# dbus = false
# Try to detect WM windows (a non-override-redirect window with no
# child that has 'WM_STATE') and mark them as active.
#
# mark-wmwin-focused = false
mark-wmwin-focused = true;
# Mark override-redirect windows that doesn't have a child window with 'WM_STATE' focused.
# mark-ovredir-focused = false
mark-ovredir-focused = true;
# Try to detect windows with rounded corners and don't consider them
# shaped windows. The accuracy is not very high, unfortunately.
#
# detect-rounded-corners = false
detect-rounded-corners = false;
# Detect '_NET_WM_WINDOW_OPACITY' on client windows, useful for window managers
# not passing '_NET_WM_WINDOW_OPACITY' of client windows to frame windows.
#
# detect-client-opacity = false
detect-client-opacity = true;
# Use EWMH '_NET_ACTIVE_WINDOW' to determine currently focused window,
# rather than listening to 'FocusIn'/'FocusOut' event. Might have more accuracy,
# provided that the WM supports it.
#
# use-ewmh-active-win = false
# Unredirect all windows if a full-screen opaque window is detected,
# to maximize performance for full-screen windows. Known to cause flickering
# when redirecting/unredirecting windows.
#
# unredir-if-possible = false
# Delay before unredirecting the window, in milliseconds. Defaults to 0.
# unredir-if-possible-delay = 0
# Conditions of windows that shouldn't be considered full-screen for unredirecting screen.
# unredir-if-possible-exclude = []
# Use 'WM_TRANSIENT_FOR' to group windows, and consider windows
# in the same group focused at the same time.
#
# detect-transient = false
detect-transient = true;
# Use 'WM_CLIENT_LEADER' to group windows, and consider windows in the same
# group focused at the same time. This usually means windows from the same application
# will be considered focused or unfocused at the same time.
# 'WM_TRANSIENT_FOR' has higher priority if detect-transient is enabled, too.
#
# detect-client-leader = false
# Resize damaged region by a specific number of pixels.
# A positive value enlarges it while a negative one shrinks it.
# If the value is positive, those additional pixels will not be actually painted
# to screen, only used in blur calculation, and such. (Due to technical limitations,
# with use-damage, those pixels will still be incorrectly painted to screen.)
# Primarily used to fix the line corruption issues of blur,
# in which case you should use the blur radius value here
# (e.g. with a 3x3 kernel, you should use `--resize-damage 1`,
# with a 5x5 one you use `--resize-damage 2`, and so on).
# May or may not work with *--glx-no-stencil*. Shrinking doesn't function correctly.
#
# resize-damage = 1
# Specify a list of conditions of windows that should be painted with inverted color.
# Resource-hogging, and is not well tested.
#
# invert-color-include = []
# GLX backend: Avoid using stencil buffer, useful if you don't have a stencil buffer.
# Might cause incorrect opacity when rendering transparent content (but never
# practically happened) and may not work with blur-background.
# My tests show a 15% performance boost. Recommended.
#
glx-no-stencil = true
# GLX backend: Avoid rebinding pixmap on window damage.
# Probably could improve performance on rapid window content changes,
# but is known to break things on some drivers (LLVMpipe, xf86-video-intel, etc.).
# Recommended if it works.
#
# glx-no-rebind-pixmap = false
# Disable the use of damage information.
# This cause the whole screen to be redrawn everytime, instead of the part of the screen
# has actually changed. Potentially degrades the performance, but might fix some artifacts.
# The opposing option is use-damage
#
# no-use-damage = false
use-damage = true;
# Use X Sync fence to sync clients' draw calls, to make sure all draw
# calls are finished before picom starts drawing. Needed on nvidia-drivers
# with GLX backend for some users.
#
# xrender-sync-fence = false
# GLX backend: Use specified GLSL fragment shader for rendering window contents.
# See `compton-default-fshader-win.glsl` and `compton-fake-transparency-fshader-win.glsl`
# in the source tree for examples.
#
# glx-fshader-win = ""
# Force all windows to be painted with blending. Useful if you
# have a glx-fshader-win that could turn opaque pixels transparent.
#
# force-win-blend = false
# Do not use EWMH to detect fullscreen windows.
# Reverts to checking if a window is fullscreen based only on its size and coordinates.
#
# no-ewmh-fullscreen = false
# Dimming bright windows so their brightness doesn't exceed this set value.
# Brightness of a window is estimated by averaging all pixels in the window,
# so this could comes with a performance hit.
# Setting this to 1.0 disables this behaviour. Requires --use-damage to be disabled. (default: 1.0)
#
# max-brightness = 1.0
# Make transparent windows clip other windows like non-transparent windows do,
# instead of blending on top of them.
#
# transparent-clipping = false
# Set the log level. Possible values are:
# "trace", "debug", "info", "warn", "error"
# in increasing level of importance. Case doesn't matter.
# If using the "TRACE" log level, it's better to log into a file
# using *--log-file*, since it can generate a huge stream of logs.
#
# log-level = "debug"
log-level = "warn";
# Set the log file.
# If *--log-file* is never specified, logs will be written to stderr.
# Otherwise, logs will to written to the given file, though some of the early
# logs might still be written to the stderr.
# When setting this option from the config file, it is recommended to use an absolute path.
#
# log-file = "/path/to/your/log/file"
# Show all X errors (for debugging)
# show-all-xerrors = false
# Write process ID to a file.
# write-pid-path = "/path/to/your/log/file"
# Window type settings
#
# 'WINDOW_TYPE' is one of the 15 window types defined in EWMH standard:
# "unknown", "desktop", "dock", "toolbar", "menu", "utility",
# "splash", "dialog", "normal", "dropdown_menu", "popup_menu",
# "tooltip", "notification", "combo", and "dnd".
#
# Following per window-type options are available: ::
#
# fade, shadow:::
# Controls window-type-specific shadow and fade settings.
#
# opacity:::
# Controls default opacity of the window type.
#
# focus:::
# Controls whether the window of this type is to be always considered focused.
# (By default, all window types except "normal" and "dialog" has this on.)
#
# full-shadow=true
# Controls whether shadow is drawn under the parts of the window that you
# normally won't be able to see. Useful when the window has parts of it
# transparent, and you want shadows in those areas.
#
# clip-shadow-above:::
# Controls wether shadows that would have been drawn above the window should
# be clipped. Useful for dock windows that should have no shadow painted on top.
#
# redir-ignore:::
# Controls whether this type of windows should cause screen to become
# redirected again after been unredirected. If you have unredir-if-possible
# set, and doesn't want certain window to cause unnecessary screen redirection,
# you can set this to `true`.
#
wintypes:
{
tooltip = { fade = true; shadow = true; opacity = 1.0; focus = true; full-shadow = false; };
dock = { shadow = true; }
dnd = { shadow = true; }
popup_menu = { opacity = 1.0; }
dropdown_menu = { opacity = 1.0; }
};

View File

@ -167,7 +167,7 @@ font-6 = "FiraCode Nerd Font Mono:antialias=true:size=8;2"
modules-left = launcher_i RightArrow3_top launcher RightArrow2_top RightArrow3_top i3 RightArrow2_top power_i RightArrow1_top RightStripe_top RightArrow1_top
modules-center =
modules-right = LeftArrow1_top LeftStripe_top LeftArrow1_top picom_i LeftArrow2_top picom LeftArrow3_top keyboard_i LeftArrow2_top keyboard LeftArrow3_top updates_i LeftArrow2_top updates LeftArrow3_top pulseaudio_hdmi_i LeftArrow2_top pulseaudio_hdmi LeftArrow3_top pulseaudio_analog_i LeftArrow2_top pulseaudio_analog LeftArrow3_top battery_i LeftArrow2_top battery LeftArrow3_top network_i LeftArrow2_top network LeftArrow3_top date_i LeftArrow2_top date
modules-right = LeftArrow1_top LeftStripe_top LeftArrow1_top xcompmgr_i LeftArrow2_top xcompmgr LeftArrow3_top keyboard_i LeftArrow2_top keyboard LeftArrow3_top updates_i LeftArrow2_top updates LeftArrow3_top pulseaudio_hdmi_i LeftArrow2_top pulseaudio_hdmi LeftArrow3_top pulseaudio_analog_i LeftArrow2_top pulseaudio_analog LeftArrow3_top battery_i LeftArrow2_top battery LeftArrow3_top network_i LeftArrow2_top network LeftArrow3_top date_i LeftArrow2_top date
; The separator will be inserted between the output of each module
separator =

View File

@ -167,7 +167,7 @@ font-6 = "FiraCode Nerd Font Mono:antialias=true:size=8;2"
modules-left = launcher_i RightArrow3_top launcher RightArrow2_top RightArrow3_top i3 RightArrow2_top power_i RightArrow1_top RightStripe_top RightArrow1_top
modules-center =
modules-right = LeftArrow1_top LeftStripe_top LeftArrow1_top picom_i LeftArrow2_top picom LeftArrow3_top keyboard_i LeftArrow2_top keyboard LeftArrow3_top updates_i LeftArrow2_top updates LeftArrow3_top pulseaudio_hdmi_i LeftArrow2_top pulseaudio_hdmi LeftArrow3_top pulseaudio_analog_i LeftArrow2_top pulseaudio_analog LeftArrow3_top battery_i LeftArrow2_top battery LeftArrow3_top network_i LeftArrow2_top network LeftArrow3_top date_i LeftArrow2_top date
modules-right = LeftArrow1_top LeftStripe_top LeftArrow1_top xcompmgr_i LeftArrow2_top xcompmgr LeftArrow3_top keyboard_i LeftArrow2_top keyboard LeftArrow3_top updates_i LeftArrow2_top updates LeftArrow3_top pulseaudio_hdmi_i LeftArrow2_top pulseaudio_hdmi LeftArrow3_top pulseaudio_analog_i LeftArrow2_top pulseaudio_analog LeftArrow3_top battery_i LeftArrow2_top battery LeftArrow3_top network_i LeftArrow2_top network LeftArrow3_top date_i LeftArrow2_top date
; The separator will be inserted between the output of each module
separator =

View File

@ -3,7 +3,7 @@
# Auto updated?
# Yes
#File :
# picom-toggle
# xcompmgr-toggle
#Author:
# The-Repo-Club [wayne6324@gmail.com]
#Github:
@ -12,7 +12,7 @@
# Created:
# Thu 20 January 2022, 04:40:04 PM [GMT]
# Modified:
# Sun 06 August 2023, 10:30:30 AM [GMT+1]
# Mon 21 August 2023, 11:23:11 PM [GMT+1]
#
# Description:
# <Todo>
@ -23,9 +23,8 @@
#The command for starting compton
#always keep the -b argument!
if pgrep -x "picom" > /dev/null
then
killall picom
if pgrep -x "xcompmgr" >/dev/null; then
killall xcompmgr
else
picom --config ~/.config/picom/picom.conf
xcompmgr
fi

View File

@ -3,9 +3,8 @@
# https://github.com/jaagr/polybar/wiki/User-contributed-modules
#The icon that would change color
if pgrep -x "picom" > /dev/null
then
echo -n "Loaded"
if pgrep -x "xcompmgr" >/dev/null; then
echo -n "Loaded"
else
echo -n "UnLoaded"
echo -n "UnLoaded"
fi

View File

@ -133,11 +133,11 @@ format-padding = 1
;; _-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_
[module/picom]
[module/xcompmgr]
type = custom/script
exec = ~/.config/polybar/scripts/picom.sh
click-left = ~/.config/polybar/scripts/picom-toggle.sh
exec = ~/.config/polybar/scripts/xcompmgr.sh
click-left = ~/.config/polybar/scripts/xcompmgr-toggle.sh
tail = true
interval = 1
@ -146,10 +146,10 @@ format-background = ${color.cyan}
format-foreground = ${color.fg}
format-padding = 1
[module/picom_i]
[module/xcompmgr_i]
type = custom/text
click-left = ~/.config/polybar/scripts/picom-toggle.sh
click-left = ~/.config/polybar/scripts/xcompmgr-toggle.sh
format = 󰌢
format-background = ${color.red}

View File

@ -365,7 +365,7 @@ screens = [
Widgets.space,
Widgets.tray,
Widgets.sep,
Widgets.picom,
Widgets.xcompmgr,
Widgets.github,
Widgets.chords,
],
@ -403,7 +403,7 @@ screens = [
Widgets.weather,
Widgets.updates,
Widgets.space,
Widgets.picom,
Widgets.xcompmgr,
Widgets.github,
Widgets.chords,
],

View File

@ -5,9 +5,8 @@
#The command for starting compton
#always keep the -b argument!
if pgrep -x "picom" > /dev/null
then
killall picom
if pgrep -x "xcompmgr" >/dev/null; then
killall xcompmgr
else
picom --config ~/.config/picom/picom.conf &
xcompmgr &
fi

View File

@ -3,9 +3,8 @@
# https://github.com/jaagr/polybar/wiki/User-contributed-modules
#The icon that would change color
if pgrep -x "picom" > /dev/null
then
echo -n "Loaded"
if pgrep -x "xcompmgr" >/dev/null; then
echo -n "Loaded"
else
echo -n "UnLoaded"
echo -n "UnLoaded"
fi

View File

@ -174,16 +174,16 @@ class Widgets(object):
},
)
picom = widget.GenPollText(
xcompmgr = widget.GenPollText(
fmt="{}",
foreground=backgroundColor,
background=colorScheme[11],
func=lambda: subprocess.check_output(
expanduser("~/.config/qtile/scripts/picom.sh")
expanduser("~/.config/qtile/scripts/xcompmgr.sh")
).decode("utf-8"),
mouse_callbacks={
"Button1": lambda: subprocess.run(
expanduser("~/.config/qtile/scripts/picom-toggle.sh")
expanduser("~/.config/qtile/scripts/xcompmgr-toggle.sh")
),
},
update_interval=1,

View File

@ -4,7 +4,6 @@ Bash
i3
Kitty
Pacman
Picom
PolyBar
xResources
ZSH

View File

@ -1,60 +1,57 @@
#!/usr/bin/env bash
getsettings() {
TERMINAL=$(gsettings get org.therepoclub.repomenu.preferences terminal | sed s/\'//g)
WEBBROWSER=$(gsettings get org.therepoclub.repomenu.preferences webbrowser | sed s/\'//g)
FILEMANAGER=$(gsettings get org.therepoclub.repomenu.preferences filemanager | sed s/\'//g)
MAILREADER=$(gsettings get org.therepoclub.repomenu.preferences mailreader | sed s/\'//g)
TEXTEDITOR=$(gsettings get org.therepoclub.repomenu.preferences texteditor | sed s/\'//g)
HYPERVISOR=$(gsettings get org.therepoclub.repomenu.preferences hypervisor | sed s/\'//g)
GITBROWSER=$(gsettings get org.therepoclub.repomenu.preferences gitbrowser | sed s/\'//g)
TERMINAL=$(gsettings get org.therepoclub.repomenu.preferences terminal | sed s/\'//g)
WEBBROWSER=$(gsettings get org.therepoclub.repomenu.preferences webbrowser | sed s/\'//g)
FILEMANAGER=$(gsettings get org.therepoclub.repomenu.preferences filemanager | sed s/\'//g)
MAILREADER=$(gsettings get org.therepoclub.repomenu.preferences mailreader | sed s/\'//g)
TEXTEDITOR=$(gsettings get org.therepoclub.repomenu.preferences texteditor | sed s/\'//g)
HYPERVISOR=$(gsettings get org.therepoclub.repomenu.preferences hypervisor | sed s/\'//g)
GITBROWSER=$(gsettings get org.therepoclub.repomenu.preferences gitbrowser | sed s/\'//g)
}
OPENPROGRAMS=$HOME/.config/repomenu/configs/edit-configs.ini
asksetting() {
while read line; do
# reading each line
echo $line
done < $OPENPROGRAMS | repomenu -c -l 10 -w -400 -i -h -1 -bw 4 -q "${1:-Search...}"
while read line; do
# reading each line
echo $line
done <$OPENPROGRAMS | repomenu -c -l 10 -w -400 -i -h -1 -bw 4 -q "${1:-Search...}"
}
LOOPSETTING="true"
while [ -n "$LOOPSETTING" ]; do
CHOICE="$(asksetting)"
[ -n "$CHOICE" ] || exit
unset LOOPSETTING
getsettings
case "$CHOICE" in
Awesome)
CHOICE="$HOME/.config/awesome/rc.lua"
;;
Bash)
CHOICE="$HOME/.bashrc"
;;
Picom)
CHOICE="$HOME/.config/i3/picom.conf"
;;
i3)
CHOICE="$HOME/.config/i3/config"
;;
Pacman)
CHOICE="/etc/pacman.conf"
;;
PolyBar)
CHOICE="$HOME/.config/polybar/config_top.ini"
;;
Kitty)
CHOICE="$HOME/.config/kitty/kitty.conf"
;;
xResources)
CHOICE="$HOME/.Xresources"
;;
ZSH)
CHOICE="$HOME/.zshrc"
;;
*)
echo "Program terminated." && exit 1
;;
esac
$TEXTEDITOR "$CHOICE"
CHOICE="$(asksetting)"
[ -n "$CHOICE" ] || exit
unset LOOPSETTING
getsettings
case "$CHOICE" in
Awesome)
CHOICE="$HOME/.config/awesome/rc.lua"
;;
Bash)
CHOICE="$HOME/.bashrc"
;;
i3)
CHOICE="$HOME/.config/i3/config"
;;
Pacman)
CHOICE="/etc/pacman.conf"
;;
PolyBar)
CHOICE="$HOME/.config/polybar/config_top.ini"
;;
Kitty)
CHOICE="$HOME/.config/kitty/kitty.conf"
;;
xResources)
CHOICE="$HOME/.Xresources"
;;
ZSH)
CHOICE="$HOME/.zshrc"
;;
*)
echo "Program terminated." && exit 1
;;
esac
$TEXTEDITOR "$CHOICE"
done

View File

@ -10,7 +10,7 @@ Accessories
IMG:/home/repo/.cache/xdg-xmenu/icons/micro.png Micro (Text Editor) kitty -e micro
Nemo nemo
IMG:/usr/share/icons/hicolor/16x16/apps/touchpad-indicator.png Touchpad Indicator (Touchpad Indicator) /usr/bin/touchpad-indicator
picom (X compositor) picom
xcompmgr (X compositor) xcompmgr
Development
IMG:/usr/share/pixmaps/android-studio.png Android Studio android-studio
IMG:/usr/share/pixmaps/netbeans.png Apache NetBeans netbeans